gi-gio-2.0.27: Gio bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gio.Objects.NativeVolumeMonitor

Contents

- Exported types
- Methods
  - Overloaded methods

Description

No description available in the introspection data.

Synopsis

- newtype NativeVolumeMonitor = NativeVolumeMonitor (ManagedPtr NativeVolumeMonitor)
- class (GObject o, IsDescendantOf NativeVolumeMonitor o) => IsNativeVolumeMonitor o
- toNativeVolumeMonitor :: (MonadIO m, IsNativeVolumeMonitor o) => o -> m NativeVolumeMonitor

# Exported types

newtype NativeVolumeMonitor Source #

Memory-managed wrapper type.

Constructors

NativeVolumeMonitor (ManagedPtr NativeVolumeMonitor) |

#### Instances

Instances details

Eq NativeVolumeMonitor Source # |
Instance details Defined in GI.Gio.Objects.NativeVolumeMonitor Methods (==) :: NativeVolumeMonitor -> NativeVolumeMonitor -> Bool # (/=) :: NativeVolumeMonitor -> NativeVolumeMonitor -> Bool #
GObject NativeVolumeMonitor Source # |
Instance details Defined in GI.Gio.Objects.NativeVolumeMonitor
TypedObject NativeVolumeMonitor Source # |
Instance details Defined in GI.Gio.Objects.NativeVolumeMonitor Methods glibType :: IO GType Source #
ManagedPtrNewtype NativeVolumeMonitor Source # |
Instance details Defined in GI.Gio.Objects.NativeVolumeMonitor Methods toManagedPtr :: NativeVolumeMonitor -> ManagedPtr NativeVolumeMonitor Source #
IsGValue NativeVolumeMonitor Source # | Convert `NativeVolumeMonitor` to and from `GValue` with `toGValue` and `fromGValue`.
Instance details Defined in GI.Gio.Objects.NativeVolumeMonitor Methods toGValue :: NativeVolumeMonitor -> IO GValue Source # fromGValue :: GValue -> IO NativeVolumeMonitor Source #
HasParentTypes NativeVolumeMonitor Source # |
Instance details Defined in GI.Gio.Objects.NativeVolumeMonitor
type ParentTypes NativeVolumeMonitor Source # |
Instance details Defined in GI.Gio.Objects.NativeVolumeMonitor type ParentTypes NativeVolumeMonitor = '[VolumeMonitor, Object]

class (GObject o, IsDescendantOf NativeVolumeMonitor o) => IsNativeVolumeMonitor o Source #

Type class for types which can be safely cast to `NativeVolumeMonitor`, for instance with `toNativeVolumeMonitor`.

#### Instances

Instances details

(GObject o, IsDescendantOf NativeVolumeMonitor o) => IsNativeVolumeMonitor o Source # |
Instance details Defined in GI.Gio.Objects.NativeVolumeMonitor

toNativeVolumeMonitor :: (MonadIO m, IsNativeVolumeMonitor o) => o -> m NativeVolumeMonitor Source #

Cast to `NativeVolumeMonitor`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

## Overloaded methods